# Merge Two Sorted Lists

> You are given the heads of two sorted linked lists `list1` and `list2`. Merge
> the two lists into one **sorted** list. The list should be made by splicing
> togeter the nodes of the first two lists. Return the _head of the merged
> linked list._

## Example 1

- Input: list1 = [1,2,4], list2 = [1,3,4]
- Output: [1,1,2,3,4,4]

## Example 2

- Input: list1 = [], list2 = []
- Output: []

## Example 3

- Input: list1 = [], list2 = [0]
- Output: [0]
